MissingResourceException (Java SE 15 & JDK 15)
Description: declaration: module: java.base, package: java.util, class: MissingResourceException
Keywords: java.util.MissingResourceException class

Module java.base
Package java.util

# Class MissingResourceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.util.MissingResourceException

All Implemented Interfaces:
  `Serializable`

    public class MissingResourceException
    extends RuntimeException

Signals that a resource is missing.

Since:
  1.1
See Also:
  `Exception`, `ResourceBundle`, Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MissingResourceException​(String s, String className, String key)` | Constructs a MissingResourceException with the specified information.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `String` | `getClassName()` | Gets parameter passed by constructor.
  `String` | `getKey()` | Gets parameter passed by constructor.

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MissingResourceException

    public MissingResourceException​(String s, String className, String key)
    Constructs a MissingResourceException with the specified information. A detail message is a String that describes this particular exception.
    Parameters:
      `s` - the detail message
      `className` - the name of the resource class
      `key` - the key for the missing resource.

- ## Method Details

  - ### getClassName

    public String getClassName()
    Gets parameter passed by constructor.
    Returns:
      the name of the resource class

  - ### getKey

    public String getKey()
    Gets parameter passed by constructor.
    Returns:
      the key for the missing resource